DKBSignDocs

API reference

PUTRequires Bearer token

Update contact

/api/contacts/{contact_id}

Owner only. All fields optional. extra is merged when provided.

Path parameters

FieldTypeDescription
contact_id
Required
stringPath parameter contact_id.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
first_name
stringFirst name.
e.g. "Ada"
last_name
stringLast name.
e.g. "Kouassi"
email
stringEmail (normalized). Duplicate email for the same owner → 409.
e.g. "ada@acme.test"
phone
stringPhone, normalized with the default region from config.
e.g. "+2250700000001"
title
stringJob title.
e.g. "CFO"
company
stringOrganisation name.
e.g. "ACME"
visibility
stringprivate or org. Default comes from contacts settings.
e.g. "private"
extra
objectOptional extra keys (for example cni_number, role_id).

Responses

StatusMeaning
200Updated
401Missing or invalid Bearer token.

Request

curl
curl -X PUT 'https://api.dkbsigns.com/api/contacts/uuid_or_id' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"first_name":"Ada","last_name":"Kouassi","email":"ada@acme.test","phone":"+2250700000001","title":"CFO","company":"ACME","visibility":"private","extra":{}}'

Response 200

json
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "owner_user_id": "4",
  "org_id": "1",
  "visibility": "private",
  "first_name": "Ada",
  "last_name": "Kouassi",
  "full_name": "Ada Kouassi",
  "email": "ada@acme.test",
  "phone": "+2250700000001",
  "title": "CFO",
  "company": "ACME",
  "source": "manual",
  "source_uid": null,
  "extra": {},
  "created_at": "2026-03-01T10:00:00Z",
  "updated_at": "2026-03-01T10:00:00Z"
}